Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tool.instrument
Class BasicInstrumentationTask.CustomFieldFilter

    java.lang.Object
      org.hibernate.tool.instrument.BasicInstrumentationTask.CustomFieldFilter

All Implemented Interfaces:
  FieldFilter

Enclosing class:
  BasicInstrumentationTask

    protected class BasicInstrumentationTask.CustomFieldFilter

extends Object
implements FieldFilter

Constructor Summary
`BasicInstrumentationTask.CustomFieldFilter(ClassDescriptor descriptor)`

Method Summary
`boolean` | `shouldInstrumentField(String className, String fieldName)` Should this field definition be instrumented?
`boolean` | `shouldTransformFieldAccess(String transformingClassName, String fieldOwnerClassName, String fieldName)` Should we instrument *access to* the given field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicInstrumentationTask.CustomFieldFilter

    public BasicInstrumentationTask.CustomFieldFilter(ClassDescriptor descriptor)

Method Detail

### shouldInstrumentField

    public boolean shouldInstrumentField(String className,
                                         String fieldName)

  Description copied from interface: `FieldFilter`
  Should this field definition be instrumented?

  Specified by:
    `shouldInstrumentField` in interface `FieldFilter`
  Parameters:
    `className` - The name of the class currently being processed
    `fieldName` - The name of the field being checked.
  Returns:
    True if we should instrument this field.

### shouldTransformFieldAccess

    public boolean shouldTransformFieldAccess(String transformingClassName,
                                              String fieldOwnerClassName,
                                              String fieldName)

  Description copied from interface: `FieldFilter`
  Should we instrument *access to* the given field. This differs from `FieldFilter.shouldInstrumentField(java.lang.String, java.lang.String)` in that here we are talking about a particular usage of a field.

  Specified by:
    `shouldTransformFieldAccess` in interface `FieldFilter`
  Parameters:
    `transformingClassName` - The class currently being transformed.
    `fieldOwnerClassName` - The name of the class owning this field being checked.
    `fieldName` - The name of the field being checked.
  Returns:
    True if this access should be transformed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD